import React from 'react';
import type { IExecutionDetailsProps, IExecutionDetailsState } from '../../../../domain';
export declare class StepExecutionDetails extends React.Component<IExecutionDetailsProps, IExecutionDetailsState> {
    constructor(props: IExecutionDetailsProps);
    updateCurrentSection(): void;
    syncDetails(configSections: string[]): void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IExecutionDetailsProps): void;
    render(): JSX.Element;
}
